{%- from "designate/map.jinja" import pool_manager with context %}
{%- if pool_manager.enabled %}

designate_pool_manager_packages:
  pkg.installed:
  - names: {{ pool_manager.pkgs }}

designate_pool_manager_services:
  service.running:
    - enable: true
    - names: {{ pool_manager.services }}
    {%- if grains.get('noservices') %}
    - onlyif: /bin/false
    {%- endif %}
    - watch:
      - file: /etc/designate/designate.conf
{%- endif %}
